package com.dgtly.wxportal.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 企业微信发送消息历史记录对象 wx_send_message
 * 
 * @author qxp
 * @date 2020-09-02
 */
public class WxSendMessage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** null */
    private Long id;

    /** 发送给的用户 */
    @Excel(name = "发送给的用户")
    private String toUser;

    /** 是否发送成功 */
    @Excel(name = "是否发送成功")
    private String isSuccess = "0";

    /** 发送的文本 */
    @Excel(name = "发送的文本")
    private String sendText;

    /** 类型 */
    @Excel(name = "类型")
    private String type ="text";


    /** 种类 （过信用0、收货1）*/
    private String form;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setToUser(String toUser) 
    {
        this.toUser = toUser;
    }

    public String getToUser() 
    {
        return toUser;
    }
    public void setIsSuccess(String isSuccess) 
    {
        this.isSuccess = isSuccess;
    }

    public String getIsSuccess() 
    {
        return isSuccess;
    }
    public void setSendText(String sendText) 
    {
        this.sendText = sendText;
    }

    public String getSendText() 
    {
        return sendText;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }


    public String getForm() {
        return form;
    }

    public void setForm(String form) {
        this.form = form;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("toUser", getToUser())
            .append("isSuccess", getIsSuccess())
            .append("sendText", getSendText())
            .append("type", getType())
            .toString();
    }
}
